| Home | Libraries | People | FAQ | More

##### ssl::basic_context::use_certificate_chain_file (2 of 2 overloads)

Use a certificate chain from a file.

    boost::system::error_code use_certificate_chain_file(
        const std::string & filename,
        boost::system::error_code & ec);

This function is used to load a certificate chain into the context from a file.

###### Parameters

filename

  The name of the file containing the certificate. The file must use the PEM format.

ec

  Set to indicate what error occurred, if any.